Bug 212216 - devel/qt5-designer: devel/qt5-uitools: Qt5Designer.pc and Qt5UiTools.pc reference non-existent Qt5UiPlugin.pc
Summary: devel/qt5-designer: devel/qt5-uitools: Qt5Designer.pc and Qt5UiTools.pc refer...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-28 15:06 UTC by Ting-Wei Lan
Modified: 2018-04-12 17:58 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2016-08-28 15:06:08 UTC
This problem was caught by jhbuild, which use 'pkg-config --modversion $(pkg-config --list-all | cut -f 1 -d " ")' to get the version of installed packages:

Package Qt5UiPlugin was not found in the pkg-config search path.
Perhaps you should add the directory containing `Qt5UiPlugin.pc'
to the PKG_CONFIG_PATH environment variable
Package 'Qt5UiPlugin', required by 'Qt5Designer', not found
Package 'Qt5UiPlugin', required by 'Qt5Designer', not found
Package 'Qt5UiPlugin', required by 'Qt5UiTools', not found
Comment 1 Tobias C. Berner freebsd_committer 2016-09-10 19:37:10 UTC
There is an upstream fix for another broken pc-file in qttools
https://github.com/qt/qttools/commit/29f1668e50d88947200c83287d57bbb47dae07ae

I couldn't find one for the qttools/designer one. 


But the following should clean that up:
--- src/designer/src/lib/lib.pro.orig   2016-09-07 10:41:25 UTC
+++ src/designer/src/lib/lib.pro
@@ -1,7 +1,8 @@
 MODULE = designer
 
 TARGET = QtDesigner
-QT = core-private gui-private widgets-private xml uiplugin
+QT = core-private gui-private widgets-private xml
+QT_PRIVATE = uiplugin
 
 MODULE_PLUGIN_TYPES = designer
 load(qt_module)
Comment 2 w.schwarzenfeld freebsd_triage 2018-01-12 14:51:16 UTC
I don't think this is still relevant and could be closed.
Comment 3 Ting-Wei Lan 2018-01-12 16:25:25 UTC
(In reply to w.schwarzenfeld from comment #2)
It *is* still relevant. Qt5Designer.pc is still broken and having broken .pc files installed on the system greatly increases the start-up time of JHBuild from a few seconds to more than one minute.
Comment 4 commit-hook freebsd_committer 2018-04-08 18:38:26 UTC
A commit references this bug:

Author: adridg
Date: Sun Apr  8 18:38:09 UTC 2018
New revision: 466825
URL: https://svnweb.freebsd.org/changeset/ports/466825

Log:
  Fix bad package-config file in Qt5 Designer. The pkg-config file for
  Qt5Designer refers to a non-existent (other) .pc file.

  PR:		212216
  Submitted by:	tcberner
  Reported by:	Ting-Wei Lan
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/devel/qt5-designer/Makefile
  head/devel/qt5-designer/files/patch-src_designer_src_lib_lib.pro
Comment 5 Adriaan de Groot freebsd_committer 2018-04-08 18:42:36 UTC
Qt Tools was since fixed (somewhere on the road to Qt 5.9.4) and I've just committed the change from tcberner in this PR to Qt Designer 5.9.4_2
Comment 6 Adriaan de Groot freebsd_committer 2018-04-12 08:53:38 UTC
Reopen as the change to the .pc was reverted in r467015. Fixing the .pc file breaks py-qt5-designer*.
Comment 7 Adriaan de Groot freebsd_committer 2018-04-12 17:58:00 UTC
Fixed while not breaking qy-qt5-designer in r467142